Bug 143064 - Obsoleted (or legacy) rpm tags in spec files should be replaced
Summary: Obsoleted (or legacy) rpm tags in spec files should be replaced
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Bill Nottingham
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-16 09:03 UTC by Robert Scheck
Modified: 2014-03-17 02:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-12 12:32:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-12-16 09:03:45 UTC
Description of problem:
Many Red Hat spec files contain obsoleted and/or legacy rpm tags, 
which should be replaced before the upgrade of RPM to 4.4.x - it 
will come, I guess (sooner or later).
  
Actual results / Expected results:
For most things,

  's/^Copyright:/License:/'
  's/^Serial:/Epoch:/'

over all spec files should do this for example. 

The tag 'RHNPlatform' will be obsoleted. More information about the
changes of RPM are in the RPM changelog. 

Additional info:
I assigned it to the distribution, because it maybe should done 
generally and not only per package.

Comment 1 Bill Nottingham 2004-12-16 14:36:17 UTC
Assigning to CVS-meisters, if they want to do a search and replace...

Comment 2 Elliot Lee 2005-01-03 22:42:26 UTC
About as low a priority as it gets, but I'll leave the bug open so we
know it's a potential issue.

Comment 3 Robert Scheck 2005-06-12 12:32:13 UTC
Time to close this bug now; Rawhide should be rebuilt completely for Fedora Core 
4 using rpm 4.4.1.


Note You need to log in before you can comment on or make changes to this bug.